<!--
iDevAffiliate Support Notes
1. You will need the Stripe API library uploaded also. There is a /vendor 'include' to it below.
2. You will need to update your Stripe API key below. Using 'development' mode in Stripe is fine.
-->

<!DOCTYPE html>
<html>
<head>
    <title>Test Site</title>
    <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.4.min.js"></script>
    <script type="text/javascript" src="https://js.stripe.com/v2/"></script>
</head>
<body>

<?php
require_once 'vendor/autoload.php';
\Stripe\Stripe::setApiKey("API_key_here");

if ( isset( $_POST['stripeToken'] ) ) {
    try {
        $obj = \Stripe\Charge::create(array(
            "amount" => 24.99*100,
            "currency" => "usd",
            "source" => $_POST['stripeToken'], // obtained with Stripe.js
            "description" => "Charge for test@example.com",
            "metadata" => array(
				"ip" => $_POST['idev_custom']['ip']
            ),
        ));

        $parsed_obj = $obj->__toArray(true);
    } catch (Exception $e) {
        $fail_message = "";
        $fail_message = '<p>' .$e->getMessage() . '</p>';
    }
}

if(isset($parsed_obj)):
    ?>
    <h2 style="padding-top:50px; text-align:center;">Payment Successful. <a href="product.php">Click here</a> to place another order.</h2>
    <?php
else:
    ?>
    <h2><?php echo $fail_message; ?></h2>
    <?php
endif;

?>

</body>
</html>
